syntax = "proto3";
option go_package = ".;pb";

message DBTask {
  string id = 1;      //@go_tags(`bson:"_id"`) ID
  string uid = 2;     //@go_tags(`bson:"uid"`) 用户ID
  int32 taskId = 3;   //@go_tags(`bson:"taskId"`) 任务Id
  int32 tag = 4;      //@go_tags(`bson:"tag"`) 标签
  int32 progress = 5; //@go_tags(`bson:"progress"`) 任务进度/完成次数
  int32 active = 6;   //@go_tags(`bson:"active"`) 活跃度
  int32 status = 7; //@go_tags(`bson:"status"`)  任务状态 默认0未完成 1已完成
  int32 received = 8; //@go_tags(`bson:"received"`) 领取状态 默认0未领取 1已领取
  int32 typeId = 9; //@go_tags(`bson:"typeId"`)
  int32 sort = 10;  //@go_tags(`bson:"sort"`)
}

message DBTaskActive {
  string id = 1;  //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  int32 rId = 3;  //@go_tags(`bson:"taskId"`) rewardId
  int32 tag = 4;  //@go_tags(`bson:"tag"`) 标签
  int32 received = 5; //@go_tags(`bson:"received"`) 领取状态 默认0未领取 1已领取
}